Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

# Class ProprietaryParty5

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_08.ProprietaryParty5

public class ProprietaryParty5 extends Object

Java class for ProprietaryParty5 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProprietaryParty5">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max35Text"/>
             <element name="Pty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Party40Choice"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Party40Choice`
`pty`
`protected String`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`ProprietaryParty5()`

## Method Summary

Modifier and Type
Method
Description
`Party40Choice`
`getPty()`
Gets the value of the pty property.
`String`
`getTp()`
Gets the value of the tp property.
`void`
`setPty(Party40Choice value)`
Sets the value of the pty property.
`void`
`setTp(String value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected String tp

### pty

protected Party40Choice pty

## Constructor Details

### ProprietaryParty5

public ProprietaryParty5()

## Method Details

### getTp

public String getTp()
Gets the value of the tp property.

Returns:
  possible object is `String`

### setTp

public void setTp(String value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `String`

### getPty

public Party40Choice getPty()
Gets the value of the pty property.

Returns:
  possible object is `Party40Choice`

### setPty

public void setPty(Party40Choice value)
Sets the value of the pty property.

Parameters:
  `value` - allowed object is `Party40Choice`